/* 共通スタイル */
.footer {
  padding: 40px;
  text-align: center;
  position: relative;
}

#footer::after {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  content: "";
  z-index: 1;
}

.footer > * {
  position: relative;
  z-index: 2;
}

.black a, 
.black a:hover, 
.black a:hover:after {
  color: #1B3A4B;
  text-decoration: none;
}

/* スマホ用スタイル */
@media screen and (max-width: 959px) {
  #footer {
    background: url("../img/index02_MS.jpg");
    background-size: cover;
    background-position: center center;
  }

  #footer::after {
    background-color: rgba(201, 169, 97, 0.9);
  }

  .footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 24px;
  }

  .footer_logo_wrap {
    width: 100%;
    text-align: center;
    display: flex;
    justify-content: center;
  }

  .footer_logo {
    margin: 0 auto;
    display: inline-block;
  }

  .footer_nav {
    width: 100%;
  }

  .footer_nav_list {
    list-style: none;
    padding: 0;
    margin: 0;
  }

  .footer_nav_list a {
    font-size: 1.25em;
  }

  .footer_legal {
    width: 100%;
  }

  .footer_copyright {
    width: 100%;
  }

  .only-pc {
    display: none !important;
  }

  .only-sh {
    display: contents;
  }
}

/* PC用スタイル */
@media (min-width: 960px) and (max-width: 3000px) {
  #footer {
    background: url("../img/index02_LL.jpg");
    background-size: cover;
    background-position: center center;
  }

  #footer::after {
    background-color: rgba(201, 169, 97, 0.9);
  }

  .footer {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-template-rows: 1fr;
    grid-gap: 32px 3.125vw;
  }

  .footer_logo_wrap {
    text-align: left;
    grid-column: 1 / span 3;
  }

  .footer_nav {
    grid-column: 4 / -1;
    display: flex;
    text-align: left;
    justify-content: space-around;
  }

  .footer_legal {
    display: flex;
    justify-content: center;
    align-items: center;
    grid-row: -1;
    grid-column: 1 / -1;
  }

  .footer_copyright {
    grid-row: -1;
    grid-column: 1 / -1;
    justify-self: end;
    align-self: end;
  }

  .footer_nav_list a {
    font-size: 1.25em;
  }

  .only-pc {
    visibility: visible;
  }

  .ul-align-center .footer_nav_list {
    width: 30vw;
  }
}